
package de.ivu.elect.presentation.entschaedigung.action;

import javax.inject.Named;

import de.ivu.elect.business.entschaedigung.entity.Auszahlung;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.entschaedigung.AuszahlungEditView;

@Named(AuszahlungEditAction.COMPONENT_NAME)
public class AuszahlungEditAction extends AbstractAuszahlungAction {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "auszahlungEditAction";

  public AuszahlungEditAction() {
    super();
  }

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.AUSZAHLUNG_EDIT;
  }

  @Override
  protected String doIt(Auszahlung auszahlung) {
    auszahlungSelect.setEntity(auszahlung);

    return AuszahlungEditView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "entity.edit.action.edit";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconEdit();
  }
}
